MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000503XdebugFeature/Change requestpublic2009-12-27 07:022015-02-22 14:30
Reporterrene7705 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0dev 
Target VersionFixed in Version2.3.0 
Summary0000503: xdebug.trace_format=1 shows no variable contents with collect_params=3/4 and collect_return=1
DescriptionI was hoping to quickly use xdebug to generate a full trace of my app, to be used for my own debugging subsystem.

But i've found that (in v2.0.5 at least) i can't get easy access to the variables being used by functions in a trace.
trace_format=0 does show them, but as the manual says; it'll be a few hours work to build functions to parse them.

It would've been so much better if trace_format=1 had 2 extra fields, 1 for parameters passed and 1 for the return value, both json strings with whitespace stripped and tabs escaped (if json_encode() doesnt do that already)

TagsNo tags attached.
Operating Systemubuntu karmic, updated 26/12/2009
PHP Version5.2.10
Attached Files

- Relationships

-  Notes
(0002657)
derick (administrator)
2014-01-04 12:13

This will be available from Xdebug 2.3: http://xdebug/docs/execution_trace#trace_format [^] and http://xdebug/docs/execution_trace#collect_return [^]

- Issue History
Date Modified Username Field Change
2009-12-27 07:02 rene7705 New Issue
2009-12-27 07:02 rene7705 Operating System => ubuntu karmic, updated 26/12/2009
2009-12-27 07:02 rene7705 PHP Version => 5.2.10
2009-12-27 07:02 rene7705 Xdebug Version => 2.0.5
2014-01-04 12:13 derick Note Added: 0002657
2014-01-04 12:13 derick Status new => resolved
2014-01-04 12:13 derick Fixed in Version => 2.3dev
2014-01-04 12:13 derick Resolution open => fixed
2014-01-04 12:13 derick Assigned To => derick
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker